Skip to main content
GET
Retrieves all production orders.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://auth.jtl-cloud.com/oauth2/auth
Token URL
https://auth.jtl-cloud.com/oauth2/token

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

pageNumber
integer<int32>

Number of the page of items to fetch. Defaults to 1 when omitted.

pageSize
integer<int32>

Size of the page specified by PageNumber. Defaults to 100 when omitted.

sortBy
string

Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).

sortDescending
boolean

Sort in descending order. Defaults to ascending when omitted.

targetStartTimestampAfter
string<date-time>

Only include items whose TargetStartTimestamp is after (greater than) this value.

targetStartTimestampBefore
string<date-time>

Only include items whose TargetStartTimestamp is before (less than) this value.

targetCompletionTimestampAfter
string<date-time>

Only include items whose TargetCompletionTimestamp is after (greater than) this value.

targetCompletionTimestampBefore
string<date-time>

Only include items whose TargetCompletionTimestamp is before (less than) this value.

actualStartTimestampAfter
string<date-time>

Only include items whose ActualStartTimestamp is after (greater than) this value.

actualStartTimestampBefore
string<date-time>

Only include items whose ActualStartTimestamp is before (less than) this value.

actualCompletionTimestampAfter
string<date-time>

Only include items whose ActualCompletionTimestamp is after (greater than) this value.

actualCompletionTimestampBefore
string<date-time>

Only include items whose ActualCompletionTimestamp is before (less than) this value.

issueDateAfter
string<date-time>

Only include items whose IssueDate is after (greater than) this value.

issueDateBefore
string<date-time>

Only include items whose IssueDate is before (less than) this value.

releaseTimestampAfter
string<date-time>

Only include items whose ReleaseTimestamp is after (greater than) this value.

releaseTimestampBefore
string<date-time>

Only include items whose ReleaseTimestamp is before (less than) this value.

deliveryTimestampAfter
string<date-time>

Only include items whose DeliveryTimestamp is after (greater than) this value.

deliveryTimestampBefore
string<date-time>

Only include items whose DeliveryTimestamp is before (less than) this value.

lastModificationTimestampAfter
string<date-time>

Only include items whose LastModificationTimestamp is after (greater than) this value.

lastModificationTimestampBefore
string<date-time>

Only include items whose LastModificationTimestamp is before (less than) this value.

Response

Paged result.

totalItems
integer<int32>
required
pageNumber
integer<int32>
required
pageSize
integer<int32>
required
items
object[]
required
totalPages
integer<int32>
hasPreviousPage
boolean
hasNextPage
boolean
nextPageNumber
integer<int32>
previousPageNumber
integer<int32>